<h2 mat-dialog-title>{{ title }}</h2>
<mat-dialog-content class="mat-typography pt-2 fs-7">
  <label>{{ titleDesc }}</label>

  <mat-form-field>
    <input matInput id="searchCtrl" [formControl]="searchCtrl" (keyup.enter)="onSearch()" placeholder="โปรดระบุไม่น้อยกว่า 4 ตัวอักษร" />
    <button mat-icon-button matSuffix color="primary" (click)="onSearch()" [disabled]="btnSearch" class="me-2">
      <mat-icon class="fs-4">search</mat-icon>
    </button>
  </mat-form-field>
  <div class="mat-elevation-z0 fs-7" style="overflow-x: auto;">
    <table mat-table [dataSource]="dataSource" class="data-table" aria-describedby="ตารางข้อมูล">
      <!-- Checkbox Column -->
      <ng-container matColumnDef="select">
        <th id="select" mat-header-cell *matHeaderCellDef>#</th>
        <td mat-cell *matCellDef="let row">
          <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null" [checked]="selection.isSelected(row)"> </mat-checkbox>
        </td>
      </ng-container>

      <ng-container matColumnDef="code">
        <th id="code" mat-header-cell *matHeaderCellDef>รหัส</th>
        <td mat-cell *matCellDef="let element">{{ element.code }}</td>
      </ng-container>

      <ng-container matColumnDef="name">
        <th id="name" mat-header-cell *matHeaderCellDef>ชื่อ</th>
        <td mat-cell *matCellDef="let element">{{ element.name }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns" (click)="selection.toggle(row)"></tr>
    </table>
  </div>
  <mat-paginator [pageSize]="pageSize" [pageSizeOptions]="[3, 5, 10]" showFirstLastButtons aria-label="Select page of periodic elements" (page)="pageEvent = paginatorEvent($event)"> </mat-paginator>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button class="fs-7" mat-raised-button color="primary" [mat-dialog-close]="selection.selected" [disabled]="searchCtrl.invalid || selection.isEmpty()">บันทึก</button>
  <button class="fs-7" mat-stroked-button color="basic" [mat-dialog-close]="false">ยกเลิก</button>
</mat-dialog-actions>
<app-loader></app-loader>
